18. 10.

引用:http://fantasticinblur.iteye.com/blog/1300080

在服务器上安装了RHEL6,没有购买RHN服务,所以使用CentOS的源。

删除之前yum

rpm -aq|grep yum|xargs rpm -e –nodeps

需要安装如下软件包:

python-iniparse-0.3.1-2.1.el6.noarch.rpm
yum-metadata-parser-1.1.2-14.1.el6.x86_64.rpm
yum-3.2.27-14.el6.centos.noarch.rpm
yum-plugin-fastestmirror-1.1.26-11.el6.noarch.rpm

PS:在google里搜索软件包小方法,范例如下,直接搜索:

yum-3.2.27-14.el6.centos.noarch.rpm intitle:index

安装完毕后配置好yum的配置文件

cd /etc/yum.repos.d/
wget http://mirrors.163.com/.help/CentOS6-Base-163.repo
sed -i “s/\$releasever/6/” CentOS6-Base-163.repo

系统是x86_64,163的镜像,请根据你自己的RHEL版本选择对应的版本。
接下来就可以使用yum install安装软件了。
如果仍然报错的话,请编辑/etc/yum.repos.d下的rhel-source.repo,将所有的enable都设置为0,或者直接删除rhel-source.repo。

OK搞定!


作者: hao32 | 可以转载, 转载时务必以超链接形式标明文章原始出处和作者信息及版权声明
网址:https://www.hao32.com/unix-linux/611.html

Tags: ,

发表评论: